> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1licenseinformation



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.License//swagger/v1/swagger.json get /api/v1/license/information
openapi: 3.0.0
info:
  title: NDS.Services.License
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.License/
security: []
paths:
  /api/v1/license/information:
    get:
      tags:
        - License
      operationId: License_GetLicenseInformation
      parameters:
        - name: license
          in: query
          schema:
            type: string
            pattern: ^([A-Za-z0-9]{5}-){4}[A-Za-z0-9]{5}$
            nullable: true
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLicenseInformationResult'
components:
  schemas:
    GetLicenseInformationResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            LicenseInformation:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/LicenseInformation'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    LicenseInformation:
      type: object
      additionalProperties: false
      properties:
        LicenseSummary:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/LicenseSummary2'
        CustomerInfo:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/CustomerInfo'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    LicenseSummary2:
      type: object
      additionalProperties: false
      properties:
        Licensee:
          type: string
          nullable: true
        ProductKey:
          type: string
          nullable: true
        ViewerOfflinePeriod:
          type: string
          nullable: true
        Applications:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Application2'
        Contracts:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Contract2'
    CustomerInfo:
      type: object
      additionalProperties: false
      required:
        - Company
        - FirstName
        - LastName
        - Email
      properties:
        Company:
          type: string
          minLength: 2
        Address:
          type: string
          nullable: true
        City:
          type: string
          nullable: true
        Zipcode:
          type: string
          nullable: true
        Country:
          type: string
          nullable: true
        Website:
          type: string
          nullable: true
        FirstName:
          type: string
          minLength: 2
        LastName:
          type: string
          minLength: 2
        Phone:
          type: string
          nullable: true
        Email:
          type: string
          minLength: 1
          pattern: ^([\w\.\-]+)@([\w\-]+)((\.(\w){2,})+)$
        EulaVersion:
          type: string
          nullable: true
        AcceptedEula:
          type: boolean
        AcceptedGDPR:
          type: boolean
    Application2:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Licenses:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/License'
    Contract2:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        StartDate:
          type: string
          format: date-time
          nullable: true
        ExpirationDate:
          type: string
          format: date-time
          nullable: true
    License:
      type: object
      additionalProperties: false
      properties:
        Total:
          type: integer
          format: int32
        Used:
          type: integer
          format: int32
        IsDemo:
          type: boolean
        StartDate:
          type: string
          format: date-time
          nullable: true
        ExpirationDate:
          type: string
          format: date-time
          nullable: true

````